Uhr

Ruby on Rails: Sicherheitswarnung vor mehreren IT-Schwachstellen

Wie das BSI meldet, sind für Ruby on Rails Schwachstellen festgestellt worden. Welche Betriebssysteme und Produkte von den Sicherheitslücken betroffen sind, lesen Sie hier auf news.de.

Aktuelle IT-Sicherheitshinweise auf news.de (Symbolbild). (Foto) Suche
Aktuelle IT-Sicherheitshinweise auf news.de (Symbolbild). Bild: picture alliance / dpa | Oliver Berg

Das Bundesamt für Sicherheit in der Informationstechnik (BSI) hat am 09.12.2022 ein Update zu einer am 06.05.2021 bekanntgewordenen Sicherheitslücke mit mehreren Schwachstellen für Ruby on Rails veröffentlicht. Betroffen von der Sicherheitslücke sind das Betriebssystem UNIX sowie die Produkte Debian Linux, Red Hat Enterprise Linux, SUSE Linux und Open Source Ruby on Rails.

Die neuesten Hersteller-Empfehlungen bezüglich Updates, Workarounds und Sicherheitspatches für diese Sicherheitslücke finden Sie hier: SUSE Security Update SUSE-SU-2022:15116-1 (Stand: 08.12.2022). Weitere nützliche Links werden weiter unten in diesem Artikel aufgeführt.

Mehrere Schwachstellen für Ruby on Rails - Risiko: mittel

Risikostufe: 3 (mittel)
CVSS Base Score: 7,5
CVSS Temporal Score: 6,5
Remoteangriff: Ja

Zur Einschätzung des Schweregrads von Sicherheitsanfälligkeiten in Computersystemen wird das Common Vulnerability Scoring System (CVSS) angewandt. Der CVSS-Standard ermöglicht es, potenzielle oder tatsächliche Sicherheitslücken auf Basis verschiedener Kriterien miteinander zu vergleichen, um Gegenmaßnahmen besser priorisieren zu können. Für die Schweregrade einer Schwachstelle werden die Attribute "keine", "niedrig", "mittel", "hoch" und "kritisch" verwendet. Der Base Score bewertet die Voraussetzungen für einen Angriff (u.a. Authentifizierung, Komplexität, Privilegien, Userinteraktion) sowie dessen Konsequenzen. Der Temporal Score berücksichtigt darüber hinaus zeitliche Veränderungen hinsichtlich der Gefahrenlage. Das Risiko der aktuellen Schwachstelle wird nach dem CVSS mit einem Base Score von 7,5 als "mittel" eingestuft.

Ruby on Rails Bug: Schwachstellen und CVE-Nummern

Ruby on Rails ist ein in der Programmiersprache Ruby geschriebenes und quelloffenes Web Application Framework.

Ein Angreifer kann mehrere Schwachstellen in Ruby on Rails ausnutzen, um Informationen offenzulegen, einen Denial of Service Zustand auszulösen und Sicherheitsmaßnahmen zu umgehen.

Klassifiziert wurden die Schwachstellen mithilfe des CVE-Bezeichnungssystems (Common Vulnerabilities and Exposures) durch die individuellen Seriennummern CVE-2021-22885, CVE-2021-22902, CVE-2021-22904 und CVE-2021-22903.

Von der Sicherheitslücke betroffene Systeme im Überblick

Betriebssystem
UNIX

Produkte
Debian Linux (cpe:/o:debian:debian_linux)
Red Hat Enterprise Linux (cpe:/o:redhat:enterprise_linux)
SUSE Linux (cpe:/o:suse:suse_linux)
Open Source Ruby on Rails < 6.1.3.2 (cpe:/a:rubyonrails:ruby_on_rails)
Open Source Ruby on Rails < 6.0.3.7 (cpe:/a:rubyonrails:ruby_on_rails)
Open Source Ruby on Rails < 5.2.4.6 (cpe:/a:rubyonrails:ruby_on_rails)
Open Source Ruby on Rails < 5.2.6 (cpe:/a:rubyonrails:ruby_on_rails)

Allgemeine Empfehlungen zum Umgang mit IT-Sicherheitslücken

  1. Anwender der betroffenen Anwendungen sollten diese auf dem aktuellsten Stand halten. Hersteller sind bei Bekanntwerden von Sicherheitslücken dazu angehalten, diese schnellstmöglich durch Entwicklung eines Patches oder eines Workarounds zu beheben. Sollten neue Sicherheitsupdates verfügbar sein, installieren Sie diese zeitnah.

  2. Konsultieren Sie zu Informationszwecken die im nächsten Abschnitt aufgeführten Quellen. Häufig enthalten diese weiterführende Informationen zur aktuellsten Version der betreffenden Software sowie zur Verfügbarkeit von Sicherheitspatches oder Hinweise zu Workarounds.

  3. Wenden Sie sich bei weiteren Fragen oder Unsicherheiten an Ihren zuständigen Administrator. IT-Sicherheitsverantwortliche sollten regelmäßig prüfen, wann das herstellende Unternehmen ein neues Sicherheitsupdate zur Verfügung stellt.

Hersteller-Informationen zu Updates, Patches und Workarounds

An dieser Stelle befinden sich weiterführende Links mit Informationen über Bug-Reports, Security-Fixes und Workarounds.

SUSE Security Update SUSE-SU-2022:15116-1 vom 2022-12-08 (09.12.2022)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2022-December/013203.html

SUSE Security Update SUSE-SU-2022:2108-1 vom 2022-06-16 (17.06.2022)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2022-June/011300.html

Red Hat Security Advisory RHSA-2021:4702 vom 2021-11-16 (17.11.2021)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2021:4702

Debian Security Advisory DSA-4929 vom 2021-06-10 (11.06.2021)
Weitere Informationen finden Sie unter: https://www.debian.org/security/2021/dsa-4929

SUSE Security Update SUSE-SU-2021:1759-1 vom 2021-05-26 (27.05.2021)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2021-May/008839.html

SUSE Security Update SUSE-SU-2021:1650-1 vom 2021-05-19 (20.05.2021)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2021-May/008791.html

Debian Security Advisory DLA-2655 vom 2021-05-11 (12.05.2021)
Weitere Informationen finden Sie unter: https://lists.debian.org/debian-lts-announce/2021/05/msg00010.html

Rails - Rails versions 6.1.3.2, 6.0.3.7, 5.2.4.6, and 5.2.6 have been released! vom 2021-05-05 (06.05.2021)
Weitere Informationen finden Sie unter: https://weblog.rubyonrails.org/2021/5/5/Rails-versions-6-1-3-2-6-0-3-7-5-2-4-6-and-5-2-6-have-been-released/

Versionshistorie dieser Sicherheitswarnung

Dies ist die 8. Version des vorliegenden IT-Sicherheitshinweises für Ruby on Rails. Sollten weitere Updates bekanntgegeben werden, wird dieser Text aktualisiert. Die vorgenommenen Änderungen können Sie anhand der folgenden Versionshistorie nachvollziehen.

09.12.2022 - Neue Updates von SUSE aufgenommen
27.05.2021 - Neue Updates von SUSE aufgenommen
11.06.2021 - Neue Updates von Debian aufgenommen
06.05.2021 - Initiale Fassung
12.05.2021 - Neue Updates von Debian aufgenommen
20.05.2021 - Neue Updates von SUSE aufgenommen
17.11.2021 - Neue Updates von Red Hat aufgenommen
17.06.2022 - Neue Updates von SUSE aufgenommen

+++ Redaktioneller Hinweis: Dieser Text wurde auf Basis aktueller BSI-Daten KI-gestützt erstellt. Feedback und Anmerkungen nehmen wir unter hinweis@news.de entgegen. +++

Folgen Sie News.de schon bei Facebook, Twitter, Pinterest und YouTube? Hier finden Sie brandheiße News, aktuelle Videos und den direkten Draht zur Redaktion.

roj/news.de

Themen:
Bleiben Sie dran!

Wollen Sie wissen, wie das Thema weitergeht? Wir informieren Sie gerne.